[l10n][Cost Control]Basque:The dot and comma are displayed at right side of month at the same time in Cost control settings view.

VERIFIED FIXED

Status

Mozilla Localizations
eu / Basque
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Lancy(Leave from Mozilla), Assigned: Ibai Oihanguren)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.1 unaffected, b2g-v2.2 verified)

Details

(Whiteboard: LocRun2.2)

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8585432 [details]
date_in_costcontrol_view.png

[1.Description]:
[l10n][v2.2][Cost Control]When user have used some usage and set system date to a future date, there are dot and comma displayed at right side of month at the same time in Cost control settings view.
See attachment:date_in_costcontrol_view.png

[2.Testing Steps]: 
Prerequisite: Insert active SIM cards to device and set your phone language to Euskara.

1. Launch Cost control and then close it.
2. Browse some websites via wifi.
3. Set system date to some day in future.
4. Launch Cost control again.
5. Tap on the gear icon to access settings.
6. Observe the date format.

[3.Expected Result]: 
6. There should only be dot at right side of month.

[4.Actual Result]: 
6. The dot and comma are displayed at right side of month at the same time.

[5.Reproduction build]: 
Device: Flame 2.1[unaffected]
Build ID               20150329001204
Gaia Revision          6f39e4e876152de1dcdcc0e7656197f22f105e4b
Gaia Date              2015-03-25 11:16:16
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/275ad18f587b
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150329.035632
Firmware Date          Sun Mar 29 03:56:41 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.2 (affected)
Build ID               20150329002502
Gaia Revision          473cd63f53c855299b719285d9b95e3f2910782f
Gaia Date              2015-03-27 20:14:43
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/4b13c4254e2f
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150329.035453
Firmware Date          Sun Mar 29 03:55:05 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
status-b2g-v2.1: --- → unaffected
status-b2g-v2.2: --- → affected
This might not be a bug but just a legitimate localization choice. 

The abbreviation of APRIL is APR., other locales (French for example) use the dot as well.
(Assignee)

Comment 2

3 years ago
Yes, in Basque we use the dot, but the comma shouldn't be there. I will fix it. Thanks!
Assignee: nobody → ibai
(Assignee)

Updated

3 years ago
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
(Reporter)

Updated

3 years ago
Summary: [l10n][Cost Control]The dot and comma are displayed at right side of month at the same time in Cost control settings view. → [l10n][Cost Control]Basque:The dot and comma are displayed at right side of month at the same time in Cost control settings view.
(Assignee)

Updated

3 years ago
Status: RESOLVED → VERIFIED
(Reporter)

Comment 3

3 years ago
Created attachment 8598454 [details]
Verify1_Flame2.2_Pass.png

According to the STR in comment 0, this issue is verified pass on latest flame 2.2 user build.
See attachment:Verify1_Flame2.2_Pass.png
Reproducing rate:0/5

Flame 2.2 user build (Unaffected):
Build ID               20150427002504
Gaia Revision          265ca0bc9408c21fc4b25a259fcee7fb642cd06b
Gaia Date              2015-04-24 19:13:28
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/1908685d798d
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150427.040119
Firmware Date          Mon Apr 27 04:01:31 EDT 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.2: affected → verified
You need to log in before you can comment on or make changes to this bug.